if ("${CMAKE_BUILD_TYPE}" STREQUAL "Release" OR "${CMAKE_BUILD_TYPE}" STREQUAL "MinSizeRel")
	if ("${CMAKE_BUILD_TYPE}" STREQUAL "MinSizeRel")
		find_program(STRIP_BIN strip)
		if (STRIP_BIN)
			add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD COMMAND ${STRIP_BIN} --strip-all $<TARGET_FILE:${PROJECT_NAME}>)
		endif()
	endif()
	
	if (${PROJECT_NAME}_UPX)
		add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD COMMAND ${UPX_BIN} --lzma $<TARGET_FILE:${PROJECT_NAME}>)
	endif()
endif()
